Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## peak.can.basic
Enum TPCANHandle

    java.lang.Object
      java.lang.Enum<TPCANHandle>
          peak.can.basic.TPCANHandle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TPCANHandle>

    public enum TPCANHandle

extends java.lang.Enum<TPCANHandle>

Represents a PCAN-hardware channel handle.

Enum Constant Summary
`PCAN_DNGBUS1` PCAN-Dongle/LPT interface, channel 1
`PCAN_ISABUS1` PCAN-ISA interface, channel 1
`PCAN_ISABUS2` PCAN-ISA interface, channel 2
`PCAN_ISABUS3` PCAN-ISA interface, channel 3
`PCAN_ISABUS4` PCAN-ISA interface, channel 4
`PCAN_ISABUS5` PCAN-ISA interface, channel 5
`PCAN_ISABUS6` PCAN-ISA interface, channel 6
`PCAN_ISABUS7` PCAN-ISA interface, channel 7
`PCAN_ISABUS8` PCAN-ISA interface, channel 8
`PCAN_NONEBUS` Undefined/default value for a PCAN bus
`PCAN_PCCBUS1` PCAN-PC Card interface, channel 1
`PCAN_PCCBUS2` PCAN-PC Card interface, channel 2
`PCAN_PCIBUS1` PCAN-PCI interface, channel 1
`PCAN_PCIBUS2` PCAN-PCI interface, channel 2
`PCAN_PCIBUS3` PCAN-PCI interface, channel 3
`PCAN_PCIBUS4` PCAN-PCI interface, channel 4
`PCAN_PCIBUS5` PCAN-PCI interface, channel 5
`PCAN_PCIBUS6` PCAN-PCI interface, channel 6
`PCAN_PCIBUS7` PCAN-PCI interface, channel 7
`PCAN_PCIBUS8` PCAN-PCI interface, channel 8
`PCAN_USBBUS1` PCAN-PCI interface, channel 1
`PCAN_USBBUS2` PCAN-USB interface, channel 2
`PCAN_USBBUS3` PCAN-USB interface, channel 3
`PCAN_USBBUS4` PCAN-USB interface, channel 4
`PCAN_USBBUS5` PCAN-USB interface, channel 5
`PCAN_USBBUS6` PCAN-USB interface, channel 6
`PCAN_USBBUS7` PCAN-USB interface, channel 7
`PCAN_USBBUS8` PCAN-USB interface, channel 8

Method Summary
`static boolean` | `containsSJA(TPCANHandle handle, TPCANType type)` Verify the provided TPCANHandle contains a SJA1000 controller
`byte` | `getValue()`
`static java.lang.Object[]` | `initializableChannels()` Returns All PCAN Channels which are initializable (All except PCAN_NONEBUS)
`static boolean` | `isPCANPCCardHardware(TPCANHandle handle)` Verify the provided TPCANHandle is an PC-Card Device
`static boolean` | `isPCANUSBHardware(TPCANHandle handle)` Verify the provided TPCANHandle is an USB Device
`static TPCANHandle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TPCANHandle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PCAN_NONEBUS

    public static final TPCANHandle PCAN_NONEBUS

  Undefined/default value for a PCAN bus

### PCAN_ISABUS1

    public static final TPCANHandle PCAN_ISABUS1

  PCAN-ISA interface, channel 1

### PCAN_ISABUS2

    public static final TPCANHandle PCAN_ISABUS2

  PCAN-ISA interface, channel 2

### PCAN_ISABUS3

    public static final TPCANHandle PCAN_ISABUS3

  PCAN-ISA interface, channel 3

### PCAN_ISABUS4

    public static final TPCANHandle PCAN_ISABUS4

  PCAN-ISA interface, channel 4

### PCAN_ISABUS5

    public static final TPCANHandle PCAN_ISABUS5

  PCAN-ISA interface, channel 5

### PCAN_ISABUS6

    public static final TPCANHandle PCAN_ISABUS6

  PCAN-ISA interface, channel 6

### PCAN_ISABUS7

    public static final TPCANHandle PCAN_ISABUS7

  PCAN-ISA interface, channel 7

### PCAN_ISABUS8

    public static final TPCANHandle PCAN_ISABUS8

  PCAN-ISA interface, channel 8

### PCAN_DNGBUS1

    public static final TPCANHandle PCAN_DNGBUS1

  PCAN-Dongle/LPT interface, channel 1

### PCAN_PCIBUS1

    public static final TPCANHandle PCAN_PCIBUS1

  PCAN-PCI interface, channel 1

### PCAN_PCIBUS2

    public static final TPCANHandle PCAN_PCIBUS2

  PCAN-PCI interface, channel 2

### PCAN_PCIBUS3

    public static final TPCANHandle PCAN_PCIBUS3

  PCAN-PCI interface, channel 3

### PCAN_PCIBUS4

    public static final TPCANHandle PCAN_PCIBUS4

  PCAN-PCI interface, channel 4

### PCAN_PCIBUS5

    public static final TPCANHandle PCAN_PCIBUS5

  PCAN-PCI interface, channel 5

### PCAN_PCIBUS6

    public static final TPCANHandle PCAN_PCIBUS6

  PCAN-PCI interface, channel 6

### PCAN_PCIBUS7

    public static final TPCANHandle PCAN_PCIBUS7

  PCAN-PCI interface, channel 7

### PCAN_PCIBUS8

    public static final TPCANHandle PCAN_PCIBUS8

  PCAN-PCI interface, channel 8

### PCAN_USBBUS1

    public static final TPCANHandle PCAN_USBBUS1

  PCAN-PCI interface, channel 1

### PCAN_USBBUS2

    public static final TPCANHandle PCAN_USBBUS2

  PCAN-USB interface, channel 2

### PCAN_USBBUS3

    public static final TPCANHandle PCAN_USBBUS3

  PCAN-USB interface, channel 3

### PCAN_USBBUS4

    public static final TPCANHandle PCAN_USBBUS4

  PCAN-USB interface, channel 4

### PCAN_USBBUS5

    public static final TPCANHandle PCAN_USBBUS5

  PCAN-USB interface, channel 5

### PCAN_USBBUS6

    public static final TPCANHandle PCAN_USBBUS6

  PCAN-USB interface, channel 6

### PCAN_USBBUS7

    public static final TPCANHandle PCAN_USBBUS7

  PCAN-USB interface, channel 7

### PCAN_USBBUS8

    public static final TPCANHandle PCAN_USBBUS8

  PCAN-USB interface, channel 8

### PCAN_PCCBUS1

    public static final TPCANHandle PCAN_PCCBUS1

  PCAN-PC Card interface, channel 1

### PCAN_PCCBUS2

    public static final TPCANHandle PCAN_PCCBUS2

  PCAN-PC Card interface, channel 2

Method Detail

### values

    public static TPCANHandle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TPCANHandle c : TPCANHandle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TPCANHandle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public byte getValue()

### initializableChannels

    public static java.lang.Object[] initializableChannels()

  Returns All PCAN Channels which are initializable (All except PCAN_NONEBUS)

  Returns:
    PCAN Channels array

### isPCANUSBHardware

    public static boolean isPCANUSBHardware(TPCANHandle handle)

  Verify the provided TPCANHandle is an USB Device

  Parameters:
    `handle` - to verify
  Returns:
    true if the TPCANHandle is an USB Device, false if not

### isPCANPCCardHardware

    public static boolean isPCANPCCardHardware(TPCANHandle handle)

  Verify the provided TPCANHandle is an PC-Card Device

  Parameters:
    `handle` - to verify
  Returns:
    true if the TPCANHandle is an PC-Card Device, false if not

### containsSJA

    public static boolean containsSJA(TPCANHandle handle,
                                      TPCANType type)

  Verify the provided TPCANHandle contains a SJA1000 controller

  Parameters:
    `handle` - to verify
  Returns:
    true if the TPCANHandle contains a SJA1000 controller, false if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD